aboutsummaryrefslogtreecommitdiff
path: root/git-stash.sh
diff options
context:
space:
mode:
authorÆvar Arnfjörð Bjarmason <avarab@gmail.com>2011-05-21 18:44:15 +0000
committerJunio C Hamano <gitster@pobox.com>2011-05-21 11:57:17 -0700
commit777b6f13734d82a2775abdcc7220faede5e1aea8 (patch)
tree85b1d7fbf390fb32f03cc87be9caa4612ef49189 /git-stash.sh
parent33ceddcf243105a348401187c6d5975227c8e151 (diff)
downloadgit-777b6f13734d82a2775abdcc7220faede5e1aea8.tar.gz
git-777b6f13734d82a2775abdcc7220faede5e1aea8.tar.xz
i18n: git-stash die + eval_gettext $* messages
Gettextize messages that used the $* variable. Since it's subroutine local we have to provide an alias for it for eval_gettext. Signed-off-by: Ævar Arnfjörð Bjarmason <avarab@gmail.com> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 'git-stash.sh')
-rwxr-xr-xgit-stash.sh10
1 files changed, 8 insertions, 2 deletions
diff --git a/git-stash.sh b/git-stash.sh
index 3d89c1507..509e14f05 100755
--- a/git-stash.sh
+++ b/git-stash.sh
@@ -321,7 +321,10 @@ is_stash_like()
}
assert_stash_like() {
- is_stash_like "$@" || die "'$*' is not a stash-like commit"
+ is_stash_like "$@" || {
+ args="$*"
+ die "$(eval_gettext "'\$args' is not a stash-like commit")"
+ }
}
is_stash_ref() {
@@ -329,7 +332,10 @@ is_stash_ref() {
}
assert_stash_ref() {
- is_stash_ref "$@" || die "'$*' is not a stash reference"
+ is_stash_ref "$@" || {
+ args="$*"
+ die "$(eval_gettext "'\$args' is not a stash reference")"
+ }
}
apply_stash () {